Public Member Functions | Private Attributes

# ScenarioScanner Class Reference

Scanner to find the unique IDs of scenarios. More...

Inheritance diagram for ScenarioScanner:

## Public Member Functions
| ScenarioScanner ()
| Initialise.
void | Scan (bool rescan)
| Scan, but only if it's needed.
bool | AddFile (const char *filename, size_t basepath_length, const char *tar_filename)
## Private Attributes
bool | scanned
| Whether we've already scanned.

## Detailed Description

Scanner to find the unique IDs of scenarios.

Definition at line 599 of file fios.cpp.

## Member Function Documentation

bool ScenarioScanner::AddFile | ( | const char * | filename,
|  | size_t | basepath_length,
|  | const char * | tar_filename |
| ) |  |  | `[inline]`

< filename without the extension.

Definition at line 617 of file fios.cpp.

References FioFCloseFile(), FioFOpenFile(), lastof, SCENARIO_DIR, and strecpy().

void ScenarioScanner::Scan | ( | bool | rescan | ) | `[inline]`

Scan, but only if it's needed.

Parameters:

  | rescan | whether to force scanning even when it's not necessary

Definition at line 609 of file fios.cpp.

References FileScanner::Scan(), and SCENARIO_DIR.

Referenced by FindScenario(), and ScanScenarios().

The documentation for this class was generated from the following file:

- src/fios.cpp